%define beta	796

Name:		hackwhite_dune
Summary:	A graphical VRML97 editor and animation tool (beta version)
Version:	0.29
Release:	%mkrel -c beta%{beta} 1
Source:		http://129.69.35.12/dune/white_dune-%{version}beta%{beta}.tar.gz
Patch0:		white_dune-missing_includes.patch
Group:		Graphics
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	bison
BuildRequires:	flex
Buildrequires:	lesstif-devel
BuildRequires:	libmesaglu-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxi-devel
URL:		http://vrml.cip.ica.uni-stuttgart.de/dune/
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPLv2+
Conflicts:	white_dune

%description
The dune program is a graphical VRML97 editor and animation tool.
VRML97 (Virtual Reality Modelling Language) is the ISO standard for
displaying 3D data over the web. It has support for animation, realtime
interaction and multimedia (image, movie, sound). VRML97 can be written
by popular programs like maya, catia, 3D Studio MAX, cinema4D and others.
Dune can read VRML97 files, display and let the user change the
scenegraph/fields. Some documentation how to use dune is included.
Beside some support for the VRML200x style nurbs node, dune has only a few
3D Modelling features. For artistic work, the usage of a static 3D modeller
with VRML97 export features is recommended. Examples for free/lowcost static
3D modellers available under Linux are sced, ppmodeler or ac3d.
Dune can load and store x3d (next generation VRML xml format) files,
if configured to work with the nist.gov x3d translators.
Advanced features of dune like the usage of 3Drevelator shutterglases with
the commercial Linux XIG X11 Server (DX/platium) require recompilation of
the source package.

This package contains a beta of white_dune version 0.29. The white_dune
package contains the latest stable release, 0.28.

%prep

%setup -q -n white_dune-%{version}beta%{beta}

%patch0 -p1

%build

%configure

rm Makefile
cd src && make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

install -s -m 755 bin/dune %{buildroot}/%{_bindir}/dune
install -m 644 man/dune.1 %{buildroot}%{_mandir}/man1/dune.1

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A graphical VRML97 editor and animation tool
Exec=%{_bindir}/dune
Icon=graphics_section
Terminal=false
Type=Application
Categories=Graphics;3DGraphics;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs
%{_bindir}/dune
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop


%changelog
* Wed Jan 09 2008 Adam Williamson <awilliamson@mandriva.com> 0.29-0.beta796.1mdv2008.1
+ Revision: 147066
- new beta 796 **security fix**

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode icon extension

* Tue Sep 04 2007 Funda Wang <fundawang@mandriva.org> 0.29-0.beta676.1mdv2008.0
+ Revision: 78931
- New beta 670

* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.29-0.beta670.1mdv2008.0
+ Revision: 76655
- New beta 670
- fix comment of menu entry

* Thu Jul 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.29-0.beta655.1mdv2008.0
+ Revision: 53574
- BuildRequires: libxi-devel
- buildrequires libxmu-devel
- rebuild against new lesstif
- move binary to /usr/bin
- drop old menu and X-Mandriva category
- clean spec
- new beta 655


* Fri Oct 13 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta443.1mdv2007.1
- beta443

* Sat Aug 26 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta421.1mdv2007.0
- beta421
- xdg

* Wed Jun 14 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta352.1mdv2007.0
- beta352

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta320.1mdk
- beta320

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta314.1mdk
- beta314

* Wed Apr 05 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta300.1mdk
- beta300

* Wed Mar 22 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta295.1mdk
- beta295

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta291.1mdk
- beta291

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta287.1mdk
- beta287

* Tue Feb 07 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta267.1mdk
- beta267

* Tue Jan 31 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta264.1mdk
- beta264

* Tue Jan 24 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta262.1mdk
- beta262

* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta258.1mdk
- beta258

* Fri Dec 16 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta240.1mdk
- beta240

* Wed Nov 23 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta227.1mdk
- beta227

* Tue Oct 25 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta208.1mdk
- beta208

* Fri Oct 14 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta204.1mdk
- beta204

* Wed Oct 05 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta199.1mdk
- beta199

* Sat Oct 01 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta198.1mdk
- beta198

* Wed Jun 01 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta134.1mdk
- beta13

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta132.1mdk
- beta132

* Sun May 22 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta120.1mdk
- beta120

* Fri Apr 29 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta096.1mdk
- beta096

* Wed Apr 20 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta090.1mdk
- beta090

* Tue Apr 05 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta080.1mdk
- beta080

* Fri Mar 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta071.1mdk
- beta071

* Tue Mar 15 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta060.1mdk
- beta60

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta051.1mdk
- beta51

* Mon Feb 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta044.1mdk
- beta44

* Tue Jan 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta029.1mdk
- beta29

* Tue Jan 18 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta027.1mdk
- beta27

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta021.1mdk
- beta21

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta012.1mdk
- beta012

* Wed Nov 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta241.1mdk
- beta241

* Wed Nov 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta236.1mdk
- beta236

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta232.1mdk
- beta232

* Fri Oct 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta229.1mdk
- beta229

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta225.1mdk
- beta225

* Wed Oct 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta219.1mdk
- beta219

* Fri Oct 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta214.1mdk
- beta214

* Tue Oct 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta212.1mdk
- beta212

* Thu Oct 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta210.1mdk
- beta210

* Fri Oct 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta207.1mdk
- beta207

* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta198.1mdk
- beta198

* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta196.1mdk
- beta196

* Tue Sep 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta191.1mdk
- beta191

* Sat Sep 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta189.1mdk
- beta189

* Thu Aug 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta187.1mdk
- beta187

* Thu Jul 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta170.1mdk
- beta170

* Thu Jul 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta165.1mdk
- beta165
- patch0: add missing includes

* Wed May 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta131.1mdk
- beta131

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta49.1mdk
- new

